Folks.LocationDetails – folks Reference Manual

# LocationDetails

## Object Hierarchy:

## Description:

public interface LocationDetails : Object

Location of a contact. folks tries to keep track of the current location and thus favors live data (say, as advertised by a chat service) over static data (from an address book). Static addresses, such as a contact's home or work address, should be presented using the PostalAddressDetails interface. LocationDetails is purely for exposing the contact's current or recent location.

Backends are expected to report only relevant changes in a persona's location. For storage backends like EDS, all changes must have been triggered by a person (e.g. editing the contact) and thus all are relevant.

A backend pulling in live data, for example from a GPS, is expected to filter the data to minimize noise.

folks itself will then apply all changes coming from backends without further filtering.

## Since:

0.9.2

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract Location? location { get; set; }
  The current location of the contact. Null if the contact’s current location isn’t known, or they’re keeping it private.

### Methods:

- public virtual async void change_location (Location? location) throws PropertyError
  Set or remove the contact's currently advertised location.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref